/*
 * Zorin Panel: Various settings and changes for the panel in Zorin Desktop.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


const Me = imports.misc.extensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;
const PanelManager = Me.imports.panelManager;

let panelManager;
let settings;

function init() {
}

function enable() {
    if (panelManager) return; //already initialized

    settings = Convenience.getSettings('org.gnome.shell.extensions.zorin-panel');
    panelManager = new PanelManager.zorinPanelManager(settings);
    panelManager.enable();
}

function disable(reset) {
    panelManager.disable();
    settings.run_dispose();

    settings = null;
    panelManager = null;
}
